Skip to main content

InitiatePayment

POST 

/payments

This API Call can be used for several different purposes:

  • Initiate a Payment and request customer's consent

  • Request customer's consent without initiating a payment (separate consent). In this case the amount should be set to 0

  • Initiate an automated payment using the received payment_token

  • Enable the customer for One-Click checkout.

In case you want to request customer's consent and at the same time initiate a payment (financial transaction), you should provide automatic_payment_consent parameter with one of the following values

OPTIONAL - allowing the payment to be completed without granting consent, or

MANDATORY - requiring the customer to provide consent in order to complete the payment.

The same API call can also be used to request customer consent without initiating a payment (separate payment consent). This can be done by setting the amount parameter to 0.

In this case, the response differs slightly:

the returned auth_url redirects the customer to the PaysafeCard login panel instead of the payment panel, allowing the customer to log in and provide consent,

the amount will be 0 as well as

the automatic_payment_consent will be MANDATORY.

Initiate an automated payment

The same API Call can also be used to initiate an automated payment. This is done by providing the received payment_token as a parameter to the body of the request.

Enable the customer for One-Click checkout

You can also use this API Call to allow the customer to pay without the need to login at all in Payment Panel. In this case the customer will be redirected to PaysafeCard's payment panel, however will only need to click Pay and won't need to login.

Request

Responses

Depending on the type of request, the response could either be:

  • a financial transaction and also containing the customer's consent (association_id)
  • containing only the customer's consent (association_id). The amount must have been set to 0 in the request
  • a response to an automated payment. payment_token used in the request.